Subject: BFD Echo mode coverage in BFD for VXLAN

From: Greg Mirsky <[email-masked]>
Date: Mon, 5 Aug 2019 15:16:03 -0700

Dear All,
in course of reviews of the draft, several times a question was asked about
the rationale for excluding BFD Echo from the scope of this document:

7.  Echo BFD

   Support for echo BFD is outside the scope of this document.

Much appreciate your consideration of the following options:

   - describe the applicability of BFD Echo in VXLAN environment in the
   document;
   - remove Section 7 and clarify in the Introduction

NEW TEXT:

This specification describes procedures only for BFD Asynchronous mode.

   - make no changes at all.

Regards,
Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 8 Aug 2019 01:17:59 +0000

Dear Greg,

The option of replacing the existing text for something more ambiguous and implicit does not seem like progress in my humble opinion. The spec ends up with the same capabilities, but the text is more obscure. I do not support that option.

My recommendation for your consideration would be:

  1.  Explore if it is possible to run BFD Echo as a single-hop.
  2.  If yes, add text supporting it.
  3.  If no, add text explaining why not on technical grounds.

A less desirable option would be if the WG does not care about BFD Echo, to explicitly keep it out of scope (not on technical grounds).

Best,

Carlos.

On Aug 5, 2019, at 6:16 PM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,
in course of reviews of the draft, several times a question was asked about the rationale for excluding BFD Echo from the scope of this document:

7.  Echo BFD

  *   describe the applicability of BFD Echo in VXLAN environment in the document;
  *   remove Section 7 and clarify in the Introduction

NEW TEXT:

  *   make no changes at all.

Regards,
Greg

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 8 Aug 2019 16:06:59 -0700

Dear All,
I have not set the when this poll closes. I hope that two weeks would be
sufficient time for the WG community to express their thoughts.

Dear Carlos,
thank you for sharing your opinion on the scope of the document in regard
to BFD Echo mode. You've expressed support for exploring the applicability
of the BFD Echo mode. Would you support that effort by contributing some
text, if WG decides that documenting the applicability of the Echo mode in
BFD over VXLAN is useful?

Regards,
Greg

On Wed, Aug 7, 2019 at 6:18 PM Carlos Pignataro (cpignata) <
[email-masked]> wrote:

> Dear Greg,
>
> The option of replacing the existing text for something more ambiguous and
> implicit does not seem like progress in my humble opinion. The spec ends up
> with the same capabilities, but the text is more obscure. I do not support
> that option.
>
> A less desirable option would be if the WG does not care about BFD Echo,
> to explicitly keep it out of scope (not on technical grounds).
>
> Best,
>
> Carlos.
>
> On Aug 5, 2019, at 6:16 PM, Greg Mirsky <[email-masked]> wrote:
>
> Dear All,
> in course of reviews of the draft, several times a question was asked
> about the rationale for excluding BFD Echo from the scope of this document:
>
> 7.  Echo BFD
>

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 8 Aug 2019 17:03:45 -0700

Dear All,
I was pointed out that my previous e-mail asking for WG help to progress
BFD over VXLAN document by sharing opinions regarding coverage of the BFD
Echo mode may be overstepping the bounds of an Editor. I apologize, that
was not my intention. I'm asking WG Chairs to help to arrive at the
conclusion of this question in a reasonable time.

Regards,
Greg

On Thu, Aug 8, 2019 at 4:06 PM Greg Mirsky <[email-masked]> wrote:

>> The option of replacing the existing text for something more ambiguous
>> and implicit does not seem like progress in my humble opinion. The spec
>> ends up with the same capabilities, but the text is more obscure. I do not
>> support that option.
>>

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Thu, 15 Aug 2019 22:41:46 +0000

Hi all,

It is up to the WG to decide whether echo support is desired for BFD over VxLAN (any other BFD use-cases also).  Since this hasn’t been brought up in the WG before, my take is that the WG isn’t interested in having echo for BFD over VxLAN. So if anybody feels that we need echo support, please speak up asap. Because it’s holiday season, let’s take 3 weeks instead of the usual 2, so please respond by September 5th.

Regards,
Reshad (co-chair hat).

From: Greg Mirsky <[email-masked]>
Date: Thursday, August 8, 2019 at 8:04 PM
To: "Carlos Pignataro (cpignata)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Martin Vigoureux <[email-masked]>
Subject: Re: BFD Echo mode coverage in BFD for VXLAN
Resent-From: <[email-masked]>
Resent-To: Jeffrey Haas <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, August 8, 2019 at 8:04 PM

Dear All,
I was pointed out that my previous e-mail asking for WG help to progress BFD over VXLAN document by sharing opinions regarding coverage of the BFD Echo mode may be overstepping the bounds of an Editor. I apologize, that was not my intention. I'm asking WG Chairs to help to arrive at the conclusion of this question in a reasonable time.

Regards,
Greg

On Thu, Aug 8, 2019 at 4:06 PM Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:
Dear All,
I have not set the when this poll closes. I hope that two weeks would be sufficient time for the WG community to express their thoughts.

Dear Carlos,
thank you for sharing your opinion on the scope of the document in regard to BFD Echo mode. You've expressed support for exploring the applicability of the BFD Echo mode. Would you support that effort by contributing some text, if WG decides that documenting the applicability of the Echo mode in BFD over VXLAN is useful?

Regards,
Greg

On Wed, Aug 7, 2019 at 6:18 PM Carlos Pignataro (cpignata) <[email-masked]<mailto:[email-masked]>> wrote:
Dear Greg,

Best,

Carlos.

Dear All,

7.  Echo BFD

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 21 Aug 2019 15:48:46 -0400

Continuing the ugly top-post:

There is precedent for BFD Echo not being mentioned as part of other BFD
extensions.  RFC 5884 explicitly says it's not dealt with in that document.
RFC 5885 doesn't mention it at all.

As noted previously, and partially in private replies, for vxlan
applications BFD Echo might be useful, and may be possible to implement.
However, unlike simply BFD Echo for IPv4/IPv6, there are several additional
challenges:
- You still need the encapsulation defined for the echo packets.
- You will need necessary forwarding support for the packet loopback.  

Presuming a vxlan environment where the necessary loopback behaviors are
implemented, and presuming the format for the async packets is documented,
Echo procedures might be able to be derived.

Supporting Reshad's call, it's up to the Working Group to determine if we
want to expand the scope of the document to cover Echo procedures.  Carlos,
as a member of the Working Group is permitted to ask about such coverage.
But it is also within the purview of the Working Group to decide to follow
examples such as RFC 5884 and leave Echo explicitly out of scope.

-- Jeff

Citing RFC 5884, section 6:
"Further, the use of the Echo function is outside the scope of this specification."

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 21 Aug 2019 21:21:20 +0000

Jeff,

I will not break the strike of top-posting then :-)

I also agree with and fully support Reshad’s calll.

If you recall, my comment regarding Echo and VxLAN was (paraphrasing): “the document says that Echo is out of scope, but there’s been no discussion about it on the list or in the doc. Is it for technical reasons? Or something else? I’m simply interested in understanding the rational for that decision." I’m happy if the WG had discussed it.

And I believe the functionality of BFD for VxLAN is very important and thus hope the editors have implementation experience to solve the issues.

However…

The “BFD Echo mode coverage” was one of the issues I commented on. It is #4 out of 6. As I’ve said, it’s OK to discuss Echo but the other points seem to be still unanswered. I numbered them for ease of tracking:
https://mailarchive.ietf.org/arch/msg/rtg-bfd/BL9Ob66Yxie4wX13yZJELbYPLJs

Should not be tedious, but I believe there’s been lack of response on the other points thus far

Many thanks,

Carlos.

On Aug 21, 2019, at 3:48 PM, Jeffrey Haas <[email-masked]<mailto:[email-masked]>> wrote:

-- Jeff

Regards,
Reshad (co-chair hat).

From: Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 8, 2019 at 8:04 PM
To: "Carlos Pignataro (cpignata)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Martin Vigoureux <[email-masked]<mailto:[email-masked]>>
Subject: Re: BFD Echo mode coverage in BFD for VXLAN
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Jeffrey Haas <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Thursday, August 8, 2019 at 8:04 PM

Dear All,

Regards,
Greg

On Thu, Aug 8, 2019 at 4:06 PM Greg Mirsky <[email-masked]<mailto:[email-masked]><mailto:[email-masked]>> wrote:
Dear All,
I have not set the when this poll closes. I hope that two weeks would be sufficient time for the WG community to express their thoughts.

Dear Carlos,

Regards,
Greg

On Wed, Aug 7, 2019 at 6:18 PM Carlos Pignataro (cpignata) <[email-masked]<mailto:[email-masked]><mailto:[email-masked]>> wrote:
Dear Greg,

Best,

Carlos.

On Aug 5, 2019, at 6:16 PM, Greg Mirsky <[email-masked]<mailto:[email-masked]><mailto:[email-masked]>> wrote:

Dear All,

7.  Echo BFD